<div class="loading" *ngIf='status_loading'>Loading&#8230;</div>
<div>
  <div class="d-flex">
    <div class="pps-header "><a style="font-size: 28px;">Product Process System</a></div>
    <button *ngIf="this.role === 'PO' && level === 'พนักงาน'" type="button" class="btn btn-primary create-po"
      (click)="createRequest()">สร้างใบคำขอ</button>
  </div>
  <p class="pps-header_th">ติดตามรายละเอียดสถานะของเอกสาร</p>
</div>
<br />
<div>
  <a class="text-pps">งานที่อยู่ระหว่างดำเนินการ</a>
  <hr />

  <div class="table-responsives table-striped">
    <table mat-table [dataSource]="dataSource" matSort>
      <!-- ID Column -->

      <ng-container matColumnDef="status1">
        <th mat-header-cell *matHeaderCellDef [ngStyle]="{ display: 'none' }">
          status.
        </th>
        <td mat-cell *matCellDef="let element">
          <div class="status-warpper">
            <span class="status-icon _active" *ngIf="element.colorWorkStatus === 'yellowColor'">
              {{ element.day }} วัน</span>
            <span class="status-icon _warning" *ngIf="element.colorWorkStatus === 'redColor'">
              {{ element.day }} วัน</span>
            <span class="status-icon _inprogress" *ngIf="element.colorWorkStatus === 'defaultColor' ">
              {{ element.day }} วัน</span>
          </div>
        </td>
      </ng-container>

      <ng-container matColumnDef="status">
        <th mat-header-cell *matHeaderCellDef [attr.rowspan]="2" mat-sort-header style="width: 160px;">
          สถานะของงาน
        </th>
      </ng-container>


      <!-- Name Column -->

      <ng-container matColumnDef="product1">
        <th mat-header-cell *matHeaderCellDef [ngStyle]="{ display: 'none' }">
          product.
        </th>
        <td mat-cell *matCellDef="let element" style="text-align: left;">
          <span *ngIf="element.name !== null">{{ element.name }}</span>
          <span *ngIf="element.name === null || element.name === ''">-</span>
        </td>
      </ng-container>

      <ng-container matColumnDef="product">
        <th mat-header-cell *matHeaderCellDef [attr.rowspan]="2" mat-sort-header class="edit-ui-left"
          style="width: 300px;">
          ชื่อผลิตภัณฑ์
        </th>
      </ng-container>

      <!-- Color Column -->
      <!-- Progress Column -->

      <ng-container matColumnDef="no1">
        <th mat-header-cell *matHeaderCellDef [ngStyle]="{ display: 'none' }">
          no.
        </th>
        <td mat-cell *matCellDef="let element" style="text-align: left;">
          <a class="a-link" *ngIf="element.no !== null" (click)="seeDetail(element.id)">{{ element.no }}</a>
          <span *ngIf="element.no === null || element.no === ''">-</span>
        </td>
        <!-- <td mat-cell *matCellDef="let element">
          <a href="#">{{ element.no }}</a>
        </td> -->
      </ng-container>

      <ng-container matColumnDef="no">
        <th mat-header-cell *matHeaderCellDef [attr.rowspan]="2" mat-sort-header class="edit-ui-left"
          style="width: 200px;">
          เลขที่ใบคำขอ
        </th>
      </ng-container>



      <!-- Color Column -->

      <ng-container matColumnDef="object1">
        <th mat-header-cell *matHeaderCellDef [ngStyle]="{ display: 'none' }">
          object.
        </th>
        <td mat-cell *matCellDef="let element" style="text-align: left;">
          <span *ngIf="element.objective !== null">{{ element.objective }}</span>
          <span *ngIf="element.objective === null || element.objective === ''">-</span>
        </td>
        <!-- <td mat-cell *matCellDef="let element">{{ element.objective }}</td> -->
      </ng-container>

      <ng-container matColumnDef="object">
        <th mat-header-cell *matHeaderCellDef [attr.rowspan]="2" mat-sort-header class="edit-ui-left"
          style="width: 300px;">
          วัตถุประสงค์การนำเสนอ
        </th>
      </ng-container>

      <ng-container matColumnDef="status_po1">
        <th mat-header-cell *matHeaderCellDef [ngStyle]="{ display: 'none' }">
          status_po.
        </th>
        <td mat-cell *matCellDef="let element" style="text-align: left;">
          <span *ngIf="element.poStatus !== null">{{ element.poStatus }}</span>
          <span *ngIf="element.poStatus === null || element.poStatus === ''">-</span>
        </td>
        <!-- <td mat-cell *matCellDef="let element">{{ element.poStatus }}</td> -->
      </ng-container>

      <ng-container matColumnDef="status_po">
        <th mat-header-cell *matHeaderCellDef [attr.rowspan]="2" mat-sort-header class="edit-ui-left"
          style="width: 180px;">
          สถานะใบคำขอ
        </th>
      </ng-container>


      <!-- Color Column -->

      <!-- Color Column -->

      <!-- Color Column -->

      <ng-container matColumnDef="header-row-second-group">
        <th mat-header-cell *matHeaderCellDef [attr.colspan]="5" class="second" style="width: 1000px !important;">
          สถานะของงาน
        </th>
      </ng-container>

      <ng-container matColumnDef="Risk">
        <th mat-header-cell *matHeaderCellDef mat-sort-header style="width: 120px;">Risk</th>
        <td mat-cell *matCellDef="let element">{{element.riskStatus}}</td>

      </ng-container>

      <ng-container matColumnDef="Compliance">
        <th mat-header-cell *matHeaderCellDef mat-sort-header style="width: 120px;">Compliance</th>
        <td mat-cell *matCellDef="let element">{{element.complianceStatus}}</td>
      </ng-container>

      <ng-container matColumnDef="Finance">
        <th mat-header-cell *matHeaderCellDef mat-sort-header style="width: 120px;">Finance</th>
        <td mat-cell *matCellDef="let element">{{element.financeStatus}}</td>

      </ng-container>

      <ng-container matColumnDef="Operation">
        <th mat-header-cell *matHeaderCellDef mat-sort-header style="width: 120px;">Operation</th>
        <td mat-cell *matCellDef="let element">{{element.operationStatus}}</td>
      </ng-container>

      <ng-container matColumnDef="Retail">
        <th mat-header-cell *matHeaderCellDef mat-sort-header style="width: 120px;">Retail Shared Services</th>
        <td mat-cell *matCellDef="let element">{{element.retailStatus}}</td>
      </ng-container>

      <!-- Color Column -->
      <ng-container matColumnDef="story1">
        <th mat-header-cell *matHeaderCellDef [ngStyle]="{ display: 'none' }">
          story.
        </th>
        <td mat-cell *matCellDef="let element">
          <span *ngIf="element.outstandingIssues !== '-'" class="a-link"
            (click)="checkOwner(element.id,element.owner)">{{ element.outstandingIssues }}</span>
          <span *ngIf="element.outstandingIssues === '-'">-</span>
        </td>
        <!-- <td mat-cell *matCellDef="let element">{{ element.outstandingIssues }}</td> -->
      </ng-container>

      <ng-container matColumnDef="story">
        <th mat-header-cell *matHeaderCellDef [attr.rowspan]="2" mat-sort-header style="width: 160px;">
          ประเด็นคงค้าง
        </th>
      </ng-container>


      <ng-container matColumnDef="team1">
        <th mat-header-cell *matHeaderCellDef [ngStyle]="{ display: 'none' }">
          team.
        </th>
        <td mat-cell *matCellDef="let element" style="text-align: left;">
          <span *ngIf="element.manager !== null">{{ element.manager }}</span>
          <span *ngIf="element.manager === null || element.manager === ''">-</span>
        </td>
        <!-- <td mat-cell *matCellDef="let element">{{ element.manager }}</td> -->
      </ng-container>

      <ng-container matColumnDef="team">
        <th mat-header-cell *matHeaderCellDef [attr.rowspan]="2" mat-sort-header class="edit-ui-left"
          style="width: 300px;">
          ชื่อผู้บริหารฝ่าย/ทีม
        </th>
      </ng-container>


      <ng-container matColumnDef="group1">
        <th mat-header-cell *matHeaderCellDef [ngStyle]="{ display: 'none' }">
          group.
        </th>
        <td mat-cell *matCellDef="let element" style="text-align: left;">
          <span *ngIf="element.grp !== null">{{ element.stcr }}</span>
          <span *ngIf="element.grp === null || element.stcr === ''">-</span>
        </td>
        <!-- <td mat-cell *matCellDef="let element">{{ element.grp }}</td> -->
      </ng-container>

      <ng-container matColumnDef="group">
        <th mat-header-cell *matHeaderCellDef [attr.rowspan]="2" mat-sort-header class="edit-ui-left"
          style="width: 200px;">
          กลุ่มงาน
        </th>
      </ng-container>

      <!-- Color Column -->

      <ng-container matColumnDef="department1">
        <th mat-header-cell *matHeaderCellDef [ngStyle]="{ display: 'none' }">
          department.
        </th>
        <td mat-cell *matCellDef="let element" style="text-align: left;">
          <span *ngIf="element.grp !== null">{{ element.grp }}</span>
          <span *ngIf="element.grp === null || element.grp === ''">-</span>
        </td>
        <!-- <td mat-cell *matCellDef="let element">{{ element.grp }}</td> -->
      </ng-container>

      <ng-container matColumnDef="department">
        <th mat-header-cell *matHeaderCellDef [attr.rowspan]="2" mat-sort-header class="edit-ui-left"
          style="width: 200px;">
          สายงาน
        </th>
      </ng-container>

      <!-- Color Column -->

      <ng-container matColumnDef="date1">
        <th mat-header-cell *matHeaderCellDef [ngStyle]="{ display: 'none' }">
          date.
        </th>
        <td mat-cell *matCellDef="let element">{{convertDataTo2563(element.createAt) }}</td>
      </ng-container>

      <ng-container matColumnDef="date">
        <th mat-header-cell *matHeaderCellDef [attr.rowspan]="2" mat-sort-header style="width: 160px;">
          วันที่สร้างคำขอ
        </th>
      </ng-container>

      <!-- Color Column -->
      <ng-container matColumnDef="date_pc1">
        <th mat-header-cell *matHeaderCellDef [ngStyle]="{ display: 'none' }">
          date_pc.
        </th>
        <td mat-cell *matCellDef="let element">
          {{ convertDataTo2563(element.presentationDate) }}</td>
      </ng-container>

      <ng-container matColumnDef="date_pc">
        <th mat-header-cell *matHeaderCellDef [attr.rowspan]="2" mat-sort-header style="width: 160px;">
          วันที่นำเสนอ PC
        </th>
      </ng-container>

      <!-- Color Column -->
      <ng-container matColumnDef="date_an1">
        <th mat-header-cell *matHeaderCellDef [ngStyle]="{ display: 'none' }">
          date_an.
        </th>
        <td mat-cell *matCellDef="let element">{{convertDataTo2563(element.releaseDate)}}
        </td>
      </ng-container>

      <ng-container matColumnDef="date_an">
        <th mat-header-cell *matHeaderCellDef [attr.rowspan]="2" mat-sort-header style="width: 160px;">
          วันที่ประกาศใช้
        </th>
      </ng-container>

      <ng-container matColumnDef="plan1">
        <th mat-header-cell *matHeaderCellDef [ngStyle]="{ display: 'none' }">
          plan.
        </th>
        <td mat-cell *matCellDef="let element">
          <span *ngIf="element.planPattern !== null">{{ element.planPattern }}</span>
          <span *ngIf="element.planPattern === null || element.planPattern === ''">-</span>
        </td>
        <!-- <td mat-cell *matCellDef="let element">{{ element.planPattern }}</td> -->
      </ng-container>

      <ng-container matColumnDef="plan">
        <th mat-header-cell *matHeaderCellDef [attr.rowspan]="2" mat-sort-header style="width: 160px;">
          รูปแบบแผนงาน
        </th>
      </ng-container>


      <!-- Color Column -->
      <ng-container matColumnDef="date_t1">
        <th mat-header-cell *matHeaderCellDef [ngStyle]="{ display: 'none' }">
          date_t.
        </th>
        <td mat-cell *matCellDef="let element">{{convertDataTo2563(element.lastReviewDate)}}
        </td>
      </ng-container>

      <ng-container matColumnDef="date_t">
        <th mat-header-cell *matHeaderCellDef [attr.rowspan]="2" mat-sort-header style="width: 240px;">
          วันที่ทบทวนล่าสุด
        </th>
      </ng-container>

      <!-- Color Column -->

      <ng-container matColumnDef="date_t_update1">
        <th mat-header-cell *matHeaderCellDef [ngStyle]="{ display: 'none' }">
          date_t_update.
        </th>
        <td mat-cell *matCellDef="let element">{{convertDataTo2563(element.nextReviewDate) }}
        </td>
      </ng-container>

      <ng-container matColumnDef="date_t_update">
        <th mat-header-cell *matHeaderCellDef [attr.rowspan]="2" mat-sort-header style="width: 240px;">
          วันที่ทบทวนถัดไปก่อนวันที่
        </th>
      </ng-container>

      <tr mat-header-row *matHeaderRowDef="
          [
            'status',
            'product',
            'no',
            'object',
            'status_po',
            'header-row-second-group',
            'story',
            'team',
            'group',
            'department',
            'date',
            'date_pc',
            'date_an',
            'plan',
            'date_t',
            'date_t_update'
          ];
          sticky: true
        "></tr>
      <tr mat-header-row *matHeaderRowDef="displayedColumns; sticky: true"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns"></tr>
    </table>
  </div>

  <mat-paginator #paginator [length]="length" [pageSize]="pageSize" [pageSizeOptions]="pageSizeOptions"
    (page)="pageEvent = $event"></mat-paginator>
  <!-- </mat-paginator> -->
  <!-- <br>
<a style="float: right;">Display</a> -->
  <br /><br />
  <a class="font" style="font-size: 16px;"><B>ค้นหาข้อมูล</B></a>
  <hr />
  <div class="row">
    <div class="col-6">
      <a>ค้นหาเกี่ยวกับผลิตภัณฑ์</a>
      <div class="icon-warpper">
        <i class="fa fa-search" aria-hidden="true"></i>
      </div>
      <input class="form-control serach-in" placeholder="ค้นหาได้จากชื่อผลิตภัณฑ์, รหัสผลิตภัณฑ์ และเลขที่ใบคำขอ"
        [(ngModel)]="searchInput" (change)="sendSearch()" />
    </div>
    <div class="col-6">
      <a>สถานะผลิตภัณฑ์</a>
      <!-- <input class="form-control serach-in" placeholder="กรุณาเลือกสถานะผลิตภัณฑ์"  [(ngModel)]="searchInput" (change)="sendSearch()" > -->
      <select class="browser-default custom-select" [(ngModel)]="selectedProduct" (ngModelChange)="sendSearch()">
        <option value="" disabled selected>กรุณาเลือกสถานะผลิตภัณฑ์</option>
        <option *ngFor="let status of status_product" value="{{status.name}}">{{status.status}}</option>
        <!-- <option value="2">Two</option>
        <option value="3">Three</option> -->
      </select>
    </div>
  </div>
  <br />
  <div class="col-13">
    <div class="panel panel-info">
      <div class="panel-heading collapsed" data-toggle="collapse" data-target="#bar">
        <a class="search_s">ค้นหาอย่างละเอียด<i class="fa fa-fw fa-chevron-up"></i>
          <i class="fa fa-fw fa-chevron-down"></i></a>
      </div>
      <br /><br />
      <div class="panel-body">
        <!-- The inside div eliminates the 'jumping' animation. -->
        <div class="collapse" id="bar">
          <div class="bg-search">
            <div class="d-flex">
              <div class="col-4">
                <a>ฝ่ายงาน</a>
                <div *ngIf="departmentList_fill !== 'nondata'">
                  <select class="browser-default custom-select" [(ngModel)]="department"
                    (ngModelChange)="filterSelection('department',department)">
                    <option *ngIf="department !== undefined" value="" selected disabled>กรุณาเลือกฝ่ายงาน</option>
                    <option *ngIf="department === undefined" value=undefined selected disabled>กรุณาเลือกฝ่ายงาน</option>
                    <option *ngIf="fillterStatus === true" value='resetFilter'>=== เลือกดูข้อมูลทั้งหมด ===</option>
                    <!-- <option *ngFor="let item of departmentList_fill" [ngValue]="item">ouCode :{{item.ouCode}}; sctrOuCode:{{item.sctrOuCode}}; groupOuCode: {{item.groupOuCode}};  {{item.ouName}}</option> -->
                    <option *ngFor="let item of departmentList_fill" [ngValue]="item">{{item.ouName}}</option>
                  </select>
                </div>
                <div *ngIf="departmentList_fill === 'nondata'">
                  <select class="form-control" [(ngModel)]="department"
                    (ngModelChange)="filterSelection('department',department)">
                    <option *ngIf="department !== undefined" value="" selected disabled> - </option>
                    <option *ngIf="department === undefined" value=undefined selected disabled> - </option>
                    <option *ngIf="fillterStatus === true"value='resetFilter'>=== เลือกดูข้อมูลทั้งหมด ===</option>
                  </select>
                </div>
              </div>
              <div class="col-4">
                <a>กลุ่มงาน</a>
                <div *ngIf="workgroupList_fill !== 'nondata'">
                  <select class="browser-default custom-select" [(ngModel)]="workgroup"
                    (ngModelChange)="filterSelection('workgroup',workgroup)">
                    <option *ngIf="workgroup !== undefined" value="" selected disabled>กรุณาเลือกกลุ่มงาน</option>
                    <option *ngIf="workgroup === undefined" value=undefined selected disabled>กรุณาเลือกกลุ่มงาน</option>
                    <option *ngIf="fillterStatus === true" value='resetFilter'>=== เลือกดูข้อมูลทั้งหมด ===</option>
                    <!-- <option *ngFor="let item of workgroupList_fill" [ngValue]="item">ouCode :{{item.ouCode}}; groupOuCode: {{item.groupOuCode}}; {{item.ouName}}</option> -->
                    <option *ngFor="let item of workgroupList_fill" [ngValue]="item">{{item.ouName}}</option>
                  </select>
                </div>
                <div *ngIf="workgroupList_fill === 'nondata'">
                  <select class="form-control" [(ngModel)]="workgroup"
                    (ngModelChange)="filterSelection('workgroup',workgroup)">
                    <option *ngIf="workgroup !== undefined" value="" selected disabled> - </option>
                    <option *ngIf="workgroup === undefined" value=undefined selected disabled> - </option>
                    <option *ngIf="fillterStatus === true"value='resetFilter'>=== เลือกดูข้อมูลทั้งหมด ===</option>
                  </select>
                </div>
              </div>
              <div class="col-4">
                <a>สายงาน</a>
                <div *ngIf="divisionList_fill !== 'nondata'">
                  <select class="browser-default custom-select" [(ngModel)]="division"
                    (ngModelChange)="filterSelection('division',division)">
                    <option *ngIf="division !== undefined" value="" selected disabled>กรุณาเลือกสายงาน</option>
                    <option *ngIf="division === undefined" value=undefined selected disabled>กรุณาเลือกสายงาน</option>
                    <option *ngIf="fillterStatus === true" value='resetFilter'>=== เลือกดูข้อมูลทั้งหมด ===</option>
                    <!-- <option *ngFor="let item of divisionList_fill" [ngValue]="item">ouCode :{{item.ouCode}}; {{item.ouName}}</option> -->
                    <option *ngFor="let item of divisionList_fill" [ngValue]="item">{{item.ouName}}</option>
                  </select>
                </div>
                <div *ngIf="divisionList_fill === 'nondata'">
                  <select class="form-control" [(ngModel)]="division"
                    (ngModelChange)="filterSelection('division',department)">
                    <option *ngIf="division !== undefined" value="" selected disabled> - </option>
                    <option *ngIf="division === undefined" value=undefined selected disabled> - </option>
                    <option *ngIf="fillterStatus === true"value='resetFilter'>=== เลือกดูข้อมูลทั้งหมด ===</option>
                  </select>
                </div>
              </div>
            </div>
            <br />
            <div class="d-flex">
              <div class="col-4">
                <a>ช่วงวันที่สร้างคำขอ</a>
                <!-- <div class="input-warpper">
                  <div class="icon-warpper1">
                    <i class="fa fa-calendar-o btn-date" aria-hidden="true" (click)="dp.toggleCalendar()"></i>
                  </div>
                  <div class="icon-warpper2">
                    <i class="fa fa-close btn-delete" *ngIf="model_date" (click)="dp.clearDate()"></i>
                  </div>
                  <input type="text" class="form-control input-search-c " name="mydate"
                    placeholder="กรุณาเลือกช่วงวันที่สร้างคำขอ" angular-mydatepicker #dp="angular-mydatepicker"
                    [(ngModel)]="model_date" [options]="myDpOptions" (dateChanged)="onDateChanged($event)"
                    (click)="dp.toggleCalendar()" (ngModelChange)="sendSearchAdvanced()" />
                </div> -->

                <!-- range calendar  -->

                <!-- range calendar  -->
                <div class="input-calendar">
                  <input type="text" class="form-control" placeholder="Effective – Expire" style="height: 48px !important;"
                    [(ngModel)]="dateRange[0].selectedDate" (focus)="openCalendar(0)">
                  <img src="../../../../assets/img/calendar.svg" class="btn-date" (click)="openCalendar(0)" />
                  <i class="fa fa-close btn-delete" *ngIf="dateRange[0].selectedDate" (click)="clearCalendar(0)"></i>
                </div>
                <div class="calendar-warpper-2" *ngIf="dateRange[0].calendarState">
                  <div class="header-calendar"
                    *ngIf="dateRange[0].modifiedStartDate && dateRange[0].modifiedEndDate;else dateDiscription">
                    ตั้งแต่วันที่ {{dateRange[0].modifiedStartDate}} - {{dateRange[0].modifiedEndDate}}
                  </div>
                  <ng-template #dateDiscription>
                    <div class="subhead-calendar">
                      <div>เลือกวันเริ่มต้น</div>
                      <div>เลือกวันสิ้นสุด</div>
                    </div>
                  </ng-template>
                  <div class="body-calendar">
                    <mat-calendar [selected]="dateRange[0].selectedStartDate" (selectedChange)="onSelectStart($event,0)"
                      [minDate]="dateRange[0].minStartDate" [startAt]="dateRange[0].selectedStartDate"
                      [maxDate]="dateRange[0].maxStartDate">
                    </mat-calendar>
                    <mat-calendar [selected]="dateRange[0].selectedEndDate" (selectedChange)="onSelectEnd($event,0)"
                      [minDate]="dateRange[0].minEndDate" [startAt]="dateRange[0].selectedEndDate"
                      [maxDate]="dateRange[0].maxEndDate">
                    </mat-calendar>
                  </div>
                  <div class="footer-calendar">
                    <button class="btn-clear" mat-flat-button (click)="clearCalendar(0)">ล้างค่า</button>
                    <button class="btn-apply" color="primary"
                      [disabled]="!(dateRange[0].modifiedStartDate && dateRange[0].modifiedEndDate)" mat-flat-button
                      (click)="applyCalendar(0)">
                      ตกลง
                    </button>
                    <button class="btn-close" mat-flat-button (click)="closeCalendar(0)">ปิด</button>
                  </div>
                </div>
                <div class="calendar-backdrop" *ngIf="dateRange[0].calendarState" (click)="closeCalendar(0)"></div>
                <!-- end range calendar  -->

              </div>
              <div class="col-4">
                <a>วัตถุประสงค์การนำเสนอ</a>
                <select class="browser-default custom-select" [(ngModel)]="status_object"
                  (ngModelChange)="sendSearchAdvanced()">
                  <option value="" selected>กรุณาเลือกวัตถุประสงค์การนำเสนอ</option>
                  <option value="ทั้งหมด">ทั้งหมด</option>
                  <option value="ผลิตภัณฑ์ใหม่">ผลิตภัณฑ์ใหม่</option>
                  <option value="ทบทวนผลิตภัณฑ์ระหว่างปี">ทบทวนผลิตภัณฑ์ระหว่างปี</option>
                  <option value="ทบทวนผลิตภัณฑ์ประจำปี">ทบทวนผลิตภัณฑ์ประจำปี</option>
                </select>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

    <br /><br />
    <a class="font" style="font-size: 16px;"><B>ผลการค้นหา</B></a>
    <hr />
    <div class="table-responsives table-striped" [ngStyle]="{display:search_data ==false? 'none': ''}">
      <table mat-table [dataSource]="Result_data" matSort>
        <!-- ID Column -->

        <ng-container matColumnDef="status1">
          <th mat-header-cell *matHeaderCellDef [ngStyle]="{ display: 'none' }">
            status.
          </th>
          <td mat-cell *matCellDef="let element">
            <div class="status-warpper">
              <span class="status-icon _active" *ngIf="element.colorWorkStatus === 'yellowColor'">
                {{ element.day }} วัน</span>
              <span class="status-icon _warning" *ngIf="element.colorWorkStatus === 'redColor'">
                {{ element.day }} วัน</span>
              <span class="status-icon _inprogress" *ngIf="element.colorWorkStatus === 'defaultColor' ">
                {{ element.day }} วัน</span>
            </div>
          </td>


        </ng-container>

        <ng-container matColumnDef="status">
          <th mat-header-cell *matHeaderCellDef [attr.rowspan]="2" mat-sort-header style="width: 160px;">
            สถานะของงาน
          </th>
        </ng-container>

        <!-- Progress Column -->

        <ng-container matColumnDef="no1">
          <th mat-header-cell *matHeaderCellDef [ngStyle]="{ display: 'none' }">
            no.
          </th>
          <td mat-cell *matCellDef="let element" style="text-align: left;">
            <a class="a-link" *ngIf="element.no !== null" (click)="seeDetail(element.id)">{{ element.no }}</a>
            <span *ngIf="element.no === null || element.no === ''">-</span>
          </td>
        </ng-container>

        <ng-container matColumnDef="no">
          <th mat-header-cell *matHeaderCellDef [attr.rowspan]="2" mat-sort-header class="edit-ui-left"
            style="width: 200px;">
            เลขที่ใบคำขอ
          </th>
        </ng-container>

        <!-- Name Column -->

        <ng-container matColumnDef="product1">
          <th mat-header-cell *matHeaderCellDef [ngStyle]="{ display: 'none' }">
            product.
          </th>
          <td mat-cell *matCellDef="let element" style="text-align: left;">
            <span *ngIf="element.name !== null">{{ element.name }}</span>
            <span *ngIf="element.name === null || element.name === ''">-</span>
          </td>
          <!-- <td mat-cell *matCellDef="let element">{{ element.name }}</td> -->
        </ng-container>

        <ng-container matColumnDef="product">
          <th mat-header-cell *matHeaderCellDef [attr.rowspan]="2" mat-sort-header class="edit-ui-left"
            style="width: 300px;">
            ชื่อผลิตภัณฑ์
          </th>
        </ng-container>

        <!-- Color Column -->

        <!-- Color Column -->

        <ng-container matColumnDef="object1">
          <th mat-header-cell *matHeaderCellDef [ngStyle]="{ display: 'none' }">
            objective.
          </th>
          <td mat-cell *matCellDef="let element" style="text-align: left;">
            <span *ngIf="element.objective !== null">{{ element.objective }}</span>
            <span *ngIf="element.objective === null || element.objective === ''">-</span>
          </td>
          <!-- <td mat-cell *matCellDef="let element">{{ element.objective }}</td> -->
        </ng-container>

        <ng-container matColumnDef="object">
          <th mat-header-cell *matHeaderCellDef [attr.rowspan]="2" mat-sort-header class="edit-ui-left"
            style="width: 300px;">
            วัตถุประสงค์การนำเสนอ
          </th>
        </ng-container>

        <ng-container matColumnDef="status_po1">
          <th mat-header-cell *matHeaderCellDef [ngStyle]="{ display: 'none' }">
            poStatus.
          </th>
          <td mat-cell *matCellDef="let element" style="text-align: left;">
            <span *ngIf="element.poStatus !== null">{{ element.poStatus }}</span>
            <span *ngIf="element.poStatus === null || element.poStatus === ''">-</span>
          </td>
          <!-- <td mat-cell *matCellDef="let element">{{ element.poStatus }}</td> -->
        </ng-container>

        <ng-container matColumnDef="status_po">
          <th mat-header-cell *matHeaderCellDef [attr.rowspan]="2" mat-sort-header class="edit-ui-left"
            style="width: 180px;">
            สถานะใบคำขอ
          </th>
        </ng-container>

        <!-- Color Column -->


        <!-- Color Column -->

        <ng-container matColumnDef="header-row-second-group" class="second">
          <th mat-header-cell *matHeaderCellDef [attr.colspan]="5" class="second" style="width: 1000px !important;">
            สถานะของงาน
          </th>
        </ng-container>

        <ng-container matColumnDef="Risk">
          <th mat-header-cell *matHeaderCellDef mat-sort-header style="width: 120px;">Risk</th>
          <td mat-cell *matCellDef="let element">{{element.riskStatus}}</td>
        </ng-container>

        <ng-container matColumnDef="Compliance">
          <th mat-header-cell *matHeaderCellDef mat-sort-header style="width: 120px;">Compliance</th>
          <td mat-cell *matCellDef="let element">{{element.complianceStatus}}</td>
        </ng-container>

        <ng-container matColumnDef="Finance">
          <th mat-header-cell *matHeaderCellDef mat-sort-header style="width: 120px;">Finance</th>
          <td mat-cell *matCellDef="let element">{{element.financeStatus}}</td>
        </ng-container>

        <ng-container matColumnDef="Operation">
          <th mat-header-cell *matHeaderCellDef mat-sort-header style="width: 120px;">Operation</th>
          <td mat-cell *matCellDef="let element">{{element.operationStatus}}</td>
        </ng-container>

        <ng-container matColumnDef="Retail">
          <th mat-header-cell *matHeaderCellDef mat-sort-header style="width: 120px;">Retail Shared Services</th>
          <td mat-cell *matCellDef="let element">{{element.retailStatus}}</td>
        </ng-container>

        <!-- Color Column -->
        <ng-container matColumnDef="story1">
          <th mat-header-cell *matHeaderCellDef [ngStyle]="{ display: 'none' }">
            outstandingIssues.
          </th>
          <td mat-cell *matCellDef="let element">
            <span *ngIf="element.outstandingIssues !== '-'" class="a-link"
              (click)="checkOwner(element.id,element.owner)">{{ element.outstandingIssues }}</span>
            <span *ngIf="element.outstandingIssues === '-'">-</span>
          </td>
          <!-- <td mat-cell *matCellDef="let element">{{ element.outstandingIssues }}</td> -->
        </ng-container>

        <ng-container matColumnDef="story">
          <th mat-header-cell *matHeaderCellDef [attr.rowspan]="2" mat-sort-header style="width: 160px;">
            ประเด็นคงค้าง
          </th>
        </ng-container>

        <ng-container matColumnDef="team1">
          <th mat-header-cell *matHeaderCellDef [ngStyle]="{ display: 'none' }">
            manager.
          </th>
          <td mat-cell *matCellDef="let element" style="text-align: left;">
            <span *ngIf="element.manager !== null">{{ element.manager }}</span>
            <span *ngIf="element.manager === null || element.manager === ''">-</span>
          </td>
          <!-- <td mat-cell *matCellDef="let element">{{ element.manager }}</td> -->
        </ng-container>

        <ng-container matColumnDef="team">
          <th mat-header-cell *matHeaderCellDef [attr.rowspan]="2" mat-sort-header class="edit-ui-left"
            style="width: 300px;">
            ชื่อผู้บริหารฝ่าย/ทีม
          </th>
        </ng-container>



        <!-- Color Column -->

        <ng-container matColumnDef="group1">
          <th mat-header-cell *matHeaderCellDef [ngStyle]="{ display: 'none' }">
            stcr.
          </th>
          <td mat-cell *matCellDef="let element" style="text-align: left;">
            <span *ngIf="element.grp !== null">{{ element.stcr }}</span>
            <span *ngIf="element.grp === null || element.stcr === ''">-</span>
          </td>
          <!-- <td mat-cell *matCellDef="let element">{{ element.stcr }}</td> -->
        </ng-container>

        <ng-container matColumnDef="group">
          <th mat-header-cell *matHeaderCellDef [attr.rowspan]="2" mat-sort-header class="edit-ui-left"
            style="width: 200px;">
            กลุ่มงาน
          </th>
        </ng-container>

        <!-- Color Column -->

        <ng-container matColumnDef="department1">
          <th mat-header-cell *matHeaderCellDef [ngStyle]="{ display: 'none' }">
            grp.
          </th>
          <td mat-cell *matCellDef="let element" style="text-align: left;">
            <span *ngIf="element.grp !== null">{{ element.grp }}</span>
            <span *ngIf="element.grp === null || element.grp === ''">-</span>
          </td>
          <!-- <td mat-cell *matCellDef="let element">{{ element.grp }}</td> -->
        </ng-container>

        <ng-container matColumnDef="department">
          <th mat-header-cell *matHeaderCellDef [attr.rowspan]="2" mat-sort-header class="edit-ui-left"
            style="width: 200px;">
            สายงาน
          </th>
        </ng-container>

        <!-- Color Column -->

        <ng-container matColumnDef="date1">
          <th mat-header-cell *matHeaderCellDef [ngStyle]="{ display: 'none' }">
            date.
          </th>
          <td mat-cell *matCellDef="let element">{{ convertDataTo2563(element.createAt) }}
          </td>
        </ng-container>

        <ng-container matColumnDef="date">
          <th mat-header-cell *matHeaderCellDef [attr.rowspan]="2" mat-sort-header style="width: 160px;">
            วันที่สร้างคำขอ
          </th>
        </ng-container>


        <!-- Color Column -->
        <ng-container matColumnDef="date_pc1">
          <th mat-header-cell *matHeaderCellDef [ngStyle]="{ display: 'none' }">
            date_pc.
          </th>
          <td mat-cell *matCellDef="let element">
            {{ convertDataTo2563(element.presentationDate) }}</td>
        </ng-container>

        <ng-container matColumnDef="date_pc">
          <th mat-header-cell *matHeaderCellDef [attr.rowspan]="2" mat-sort-header style="width: 160px;">
            วันที่นำเสนอ PC
          </th>
        </ng-container>

        <!-- Color Column -->
        <ng-container matColumnDef="date_an1">
          <th mat-header-cell *matHeaderCellDef [ngStyle]="{ display: 'none' }">
            date_an.
          </th>
          <td mat-cell *matCellDef="let element">{{convertDataTo2563(element.releaseDate) }}
          </td>
        </ng-container>

        <ng-container matColumnDef="date_an">
          <th mat-header-cell *matHeaderCellDef [attr.rowspan]="2" mat-sort-header style="width: 160px;">
            วันที่ประกาศใช้
          </th>
        </ng-container>


        <ng-container matColumnDef="plan1">
          <th mat-header-cell *matHeaderCellDef [ngStyle]="{ display: 'none' }">
            plan.
          </th>
          <td mat-cell *matCellDef="let element">
            <span *ngIf="element.planPattern !== null">{{ element.planPattern }}</span>
            <span *ngIf="element.planPattern === null || element.planPattern === ''">-</span>
          </td>
          <!-- <td mat-cell *matCellDef="let element">{{ element.planPattern }}</td> -->
        </ng-container>

        <ng-container matColumnDef="plan">
          <th mat-header-cell *matHeaderCellDef [attr.rowspan]="2" mat-sort-header style="width: 160px;">
            รูปแบบแผนงาน
          </th>
        </ng-container>


        <!-- Color Column -->
        <ng-container matColumnDef="date_t1">
          <th mat-header-cell *matHeaderCellDef [ngStyle]="{ display: 'none' }">
            date_t.
          </th>
          <td mat-cell *matCellDef="let element">
            {{convertDataTo2563(element.lastReviewDate) }}</td>
        </ng-container>

        <ng-container matColumnDef="date_t">
          <th mat-header-cell *matHeaderCellDef [attr.rowspan]="2" mat-sort-header style="width: 240px;">
            วันที่ทบทวนล่าสุด
          </th>
        </ng-container>

        <!-- Color Column -->

        <ng-container matColumnDef="date_t_update1">
          <th mat-header-cell *matHeaderCellDef [ngStyle]="{ display: 'none' }">
            date_t_update.
          </th>
          <td mat-cell *matCellDef="let element">
            {{ convertDataTo2563(element.nextReviewDate) }}
          </td>
        </ng-container>

        <ng-container matColumnDef="date_t_update">
          <th mat-header-cell *matHeaderCellDef [attr.rowspan]="2" mat-sort-header style="width: 240px;">
            วันที่ทบทวนถัดไปก่อนวันที่
          </th>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="
            [
              'status',
              'product',
              'no',
            
              'object',
              'status_po',

              'header-row-second-group',
              'story',
              'team',
                          
              'group',
              'department',
              'date',
            
              'date_pc',
              'date_an',
              'plan',
              'date_t',
              'date_t_update'
            ];
            sticky: true
          "></tr>
        <tr mat-header-row *matHeaderRowDef="displayedColumns; sticky: true"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns"></tr>
      </table>
    </div>
    <mat-paginator #paginatorSearch [length]="length_search" [pageSize]="pageSize_search"
      [pageSizeOptions]="pageSizeOptions_search" (page)="pageEventSearch = $event"
      [ngStyle]="{display:search_data ==false? 'none': ''}"></mat-paginator>



    <div class="non-data" [ngStyle]="{display:search_data ==false? '': 'none'}">
      <label class="mt-4">
        ยังไม่มีรายการที่แสดง
      </label>

    </div>
    <br />
    <br />
    <br />
  </div>
</div>